## totem-pl-parser 3.10.8

=== debian/changelog ===
totem-pl-parser (3.10.8-3ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Split libtotem-plparser-videosite off to a separate package
      to avoid pulling all its dependencies into main
    - debian/control.in:
      + Don't have libtotem-pl-parser-dev depend on libquvi-dev

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Aug 2017 08:54:55 -0700

totem-pl-parser (3.10.8-3) unstable; urgency=medium

  * Also switch our -dev dependenty to gmime 3.0.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 23 Jul 2017 16:48:31 +0200

totem-pl-parser (3.10.8-2) unstable; urgency=medium

  * Switch from gmime 2.6 to 3.0 (Closes: #867356)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 23 Jul 2017 16:34:56 +0200

totem-pl-parser (3.10.8-1ubuntu2) artful; urgency=medium

  * No-change rebuild against libgmime-3.0-0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 Jul 2017 03:27:55 +0000

totem-pl-parser (3.10.8-1ubuntu1) artful; urgency=medium

  * Sync with Debian. Remaining changes:
    - Split libtotem-plparser-videosite off to a separate package
      to avoid pulling all its dependencies into main
    - debian/control.in:
      + Don't have libtotem-pl-parser-dev depend on libquvi-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 01 Jul 2017 19:55:11 -0400

totem-pl-parser (3.10.8-1) unstable; urgency=medium

  * New upstream release.
    - No longer uses deprecated gnome-common. (Closes: #829980)
  * Don't run ./configure during autoreconf.
  * Bump Build-Depends on libglib2.0-dev to (>= 2.36.0) as per configure.ac.

 -- Michael Biebl <biebl@debian.org>  Sun, 02 Jul 2017 01:10:51 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: totem-pl-parser
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 10),
               gnome-pkg-tools,
               gobject-introspection (>= 0.9.12-4~),
               gtk-doc-tools (>= 1.11),
               intltool (>= 0.35),
               libarchive-dev (>= 3.0),
               libgcrypt20-dev,
               libgirepository1.0-dev (>= 0.10.7-1~),
               libglib2.0-dev (>= 2.36.0),
               libglib2.0-doc,
               libgmime-3.0-dev,
               libquvi-0.9-dev,
               libsoup-gnome2.4-dev (>= 2.43.0),
               libxml-parser-perl,
               libxml2-dev
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/totem-pl-parser
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/totem-pl-parser

Package: libtotem-plparser-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-totem-plparser-1.0 (= ${binary:Version}),
         libtotem-plparser18 (= ${binary:Version}),
         libarchive-dev,
         libglib2.0-dev,
         libgmime-3.0-dev,
         libxml2-dev,
         ${misc:Depends}
Description: Totem Playlist Parser library - development files
 totem-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 This package contains the development headers and documentation.

Package: libtotem-plparser-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libtotem-plparser17,
        libtotem-plparser18 (<< 3.10.5-1)
Replaces: libtotem-plparser17,
          libtotem-plparser18 (<< 3.10.5-1)
Description: Totem Playlist Parser library - common files
 totem-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 This package contains the translation files.

Package: libtotem-plparser18
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtotem-plparser-common
Description: Totem Playlist Parser library - runtime files
 totem-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 This package contains the shared library.

Package: libtotem-plparser-videosite
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libtotem-plparser18 (<< 3.10.6-4ubuntu1~)
Replaces: libtotem-plparser18 (<< 3.10.6-4ubuntu1~)
Description: Totem Playlist Parser library - videosite helper
 totem-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 This package contains the videosite helper.

Package: gir1.2-totem-plparser-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GObject introspection data for the Totem Playlist Parser library
 This package contains introspection data for the Totem Playlist Parser
 library.
 .
 totem-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

libtotem-plparserN := $(shell sed -rn 's/^Package:[[:space:]]*(libtotem-plparser[0-9]+)[[:space:]]*$$/\1/p' debian/control)

%:
	dh $@ --with gnome,gir

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=\$${libdir}/$(libtotem-plparserN) \
		--enable-gtk-doc

override_dh_autoreconf:
	NOCONFIGURE=true dh_autoreconf ./autogen.sh

override_dh_makeshlibs:
	dh_makeshlibs -p $(libtotem-plparserN) -V -- -c4
	dh_makeshlibs --remaining-packages

override_dh_strip:
	dh_strip --dbgsym-migration="libtotem-plparser-dbg (<< 3.10.6-5~)"

override_dh_auto_test:
	dh_auto_test || true

## totem-pl-parser 3.26.0

=== debian/changelog ===
totem-pl-parser (3.26.0-1ubuntu2) bionic; urgency=medium

  * totem-pl-parser-xspf.c: Avoid large stutters in video playback due to
    heavy (and unnecessary) disk syncing (LP: #1698270)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 31 Oct 2017 17:07:46 +0800

totem-pl-parser (3.26.0-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Split libtotem-plparser-videosite off to a separate package
      to avoid pulling all its dependencies into main
    - debian/control.in:
      + Don't have libtotem-pl-parser-dev depend on libquvi-dev

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 26 Oct 2017 12:34:18 -0700

totem-pl-parser (3.26.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Build with meson
  * Use C.UTF-8 locale to fix build failure
  * debian/libtotem-plparser18.symbols: Update
  * Bump Standards-Version to 4.1.1

  [ Laurent Bigonville ]
  * Rename the gir1.2-totem-plparser-1.0 package to gir1.2-totemplparser-1.0
    per gobject-introspection minipolicy

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 08 Oct 2017 09:57:53 -0400

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,11 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Build-Depends: debhelper (>= 10.3~),
                gnome-pkg-tools,
                gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools (>= 1.11),
-               intltool (>= 0.35),
                libarchive-dev (>= 3.0),
                libgcrypt20-dev,
                libgirepository1.0-dev (>= 0.10.7-1~),
@@ -22,8 +21,9 @@
                libquvi-0.9-dev,
                libsoup-gnome2.4-dev (>= 2.43.0),
                libxml-parser-perl,
-               libxml2-dev
-Standards-Version: 3.9.8
+               libxml2-dev,
+               meson (>= 0.40.1)
+Standards-Version: 4.1.1
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/totem-pl-parser
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/totem-pl-parser
 
@@ -31,7 +31,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: gir1.2-totem-plparser-1.0 (= ${binary:Version}),
+Depends: gir1.2-totemplparser-1.0 (= ${binary:Version}),
          libtotem-plparser18 (= ${binary:Version}),
          libarchive-dev,
          libglib2.0-dev,
@@ -83,13 +83,16 @@
  .
  This package contains the videosite helper.
 
-Package: gir1.2-totem-plparser-1.0
+Package: gir1.2-totemplparser-1.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: gir1.2-totem-plparser-1.0
+Replaces: gir1.2-totem-plparser-1.0
+Conflicts: gir1.2-totem-plparser-1.0
 Description: GObject introspection data for the Totem Playlist Parser library
  This package contains introspection data for the Totem Playlist Parser
  library.

=== debian/rules ===
--- 
+++ 
@@ -4,16 +4,20 @@
 
 libtotem-plparserN := $(shell sed -rn 's/^Package:[[:space:]]*(libtotem-plparser[0-9]+)[[:space:]]*$$/\1/p' debian/control)
 
+# https://lists.debian.org/debian-devel/2017/09/msg00006.html
+# https://github.com/mesonbuild/meson/issues/2268
+export LC_ALL=C.UTF-8
+
 %:
-	dh $@ --with gnome,gir
+	dh $@ --with gnome,gir --buildsystem=meson
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--libexecdir=\$${libdir}/$(libtotem-plparserN) \
-		--enable-gtk-doc
-
-override_dh_autoreconf:
-	NOCONFIGURE=true dh_autoreconf ./autogen.sh
+		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/$(libtotem-plparserN) \
+		-Denable-gtk-doc=true \
+		-Denable-libarchive=yes \
+		-Denable-libgcrypt=yes \
+		-Denable-quvi=yes
 
 override_dh_makeshlibs:
 	dh_makeshlibs -p $(libtotem-plparserN) -V -- -c4

## totem-pl-parser 3.26.1

=== debian/changelog ===
totem-pl-parser (3.26.1-1ubuntu1) cosmic; urgency=medium

  * Resynchronize on Debian, remaining changes
    - Split libtotem-plparser-videosite off to a separate package
      to avoid pulling all its dependencies into main
    - debian/control.in:
      + Don't have libtotem-pl-parser-dev depend on libquvi-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Aug 2018 13:42:25 +0200

totem-pl-parser (3.26.1-1) unstable; urgency=medium

  * New upstream version
  * debian/control.in: 
    - remove the libsoup build-depends, it's not used

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Build-Depend on debhelper >= 11.1.3 to automatically build with the
    C.UTF-8 locale

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Aug 2018 13:34:11 +0200

totem-pl-parser (3.26.0-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

  [ Daniel van Vugt]
  * Add 0001-Avoid-fsync-that-causes-totem-hangs-stutter.patch:
    - Avoid large stutters in video playback due to heavy (and unnecessary)
      disk syncing (LP: #1698270)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 16:37:41 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 10.3~),
+Build-Depends: debhelper (>= 11.1.3),
                gnome-pkg-tools,
                gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools (>= 1.11),
@@ -19,13 +19,12 @@
                libglib2.0-doc,
                libgmime-3.0-dev,
                libquvi-0.9-dev,
-               libsoup-gnome2.4-dev (>= 2.43.0),
                libxml-parser-perl,
                libxml2-dev,
                meson (>= 0.40.1)
-Standards-Version: 4.1.1
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/totem-pl-parser
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/totem-pl-parser
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/totem-pl-parser
+Vcs-Git: https://salsa.debian.org/gnome-team/totem-pl-parser.git
 
 Package: libtotem-plparser-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,10 @@
 #!/usr/bin/make -f
-
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 libtotem-plparserN := $(shell sed -rn 's/^Package:[[:space:]]*(libtotem-plparser[0-9]+)[[:space:]]*$$/\1/p' debian/control)
 
-# https://lists.debian.org/debian-devel/2017/09/msg00006.html
-# https://github.com/mesonbuild/meson/issues/2268
-export LC_ALL=C.UTF-8
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 
 %:
 	dh $@ --with gnome,gir --buildsystem=meson
@@ -28,3 +26,6 @@
 
 override_dh_auto_test:
 	dh_auto_test || true
+
+override_dh_missing:
+	dh_missing --fail-missing

## totem-pl-parser 3.26.2

=== meson_options.txt ===
option('enable-quvi', type: 'combo', choices : ['yes', 'no', 'auto'], value : 'auto',
  description : 'Enable libquvi support.')
option('enable-libarchive', type: 'combo', choices : ['yes', 'no', 'auto'], value : 'auto',
  description : 'Enable libarchive support.')
option('enable-libgcrypt', type: 'combo', choices : ['yes', 'no', 'auto'], value : 'auto',
  description : 'Enable libgcrypt support.')
option('enable-gtk-doc', type: 'boolean', value: 'false',
  description : 'Generate the API reference (depends on GTK-Doc)')

=== debian/changelog ===
totem-pl-parser (3.26.2-1) unstable; urgency=medium

  * New upstream version
  * debian/control.in:
    - don't use gmime follow the upstream changes

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 17 Jan 2019 13:49:19 +0100

totem-pl-parser (3.26.1-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 17:43:05 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: totem-pl-parser
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 11.1.3),
                gnome-pkg-tools,
@@ -17,12 +16,11 @@
                libgirepository1.0-dev (>= 0.10.7-1~),
                libglib2.0-dev (>= 2.36.0),
                libglib2.0-doc,
-               libgmime-3.0-dev,
                libquvi-0.9-dev,
                libxml-parser-perl,
                libxml2-dev,
                meson (>= 0.40.1)
-Standards-Version: 4.1.2
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/totem-pl-parser
 Vcs-Git: https://salsa.debian.org/gnome-team/totem-pl-parser.git
 
@@ -34,7 +32,7 @@
          libtotem-plparser18 (= ${binary:Version}),
          libarchive-dev,
          libglib2.0-dev,
-         libgmime-3.0-dev,
+         libquvi-0.9-dev,
          libxml2-dev,
          ${misc:Depends}
 Description: Totem Playlist Parser library - development files
@@ -69,19 +67,6 @@
  .
  This package contains the shared library.
 
-Package: libtotem-plparser-videosite
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: libtotem-plparser18 (<< 3.10.6-4ubuntu1~)
-Replaces: libtotem-plparser18 (<< 3.10.6-4ubuntu1~)
-Description: Totem Playlist Parser library - videosite helper
- totem-pl-parser is a simple GObject-based library to parse a host of
- playlist formats, as well as save those.
- .
- This package contains the videosite helper.
-
 Package: gir1.2-totemplparser-1.0
 Section: introspection
 Architecture: any

## totem-pl-parser 3.26.3

=== debian/changelog ===
totem-pl-parser (3.26.3-1ubuntu1) disco; urgency=medium

  * Resynchronize on Debian, remaining changes
    - Split libtotem-plparser-videosite off to a separate package
      to avoid pulling all its dependencies into main
    - debian/control.in:
      + Don't have libtotem-pl-parser-dev depend on libquvi-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 12 Mar 2019 10:29:42 +0100

totem-pl-parser (3.26.3-1) unstable; urgency=medium

  * New upstream release
  * debian/gbp.conf:
    - update the configuration to currently used team options

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 12 Mar 2019 10:27:09 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: totem-pl-parser
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 11.1.3),
                gnome-pkg-tools,
@@ -32,7 +33,6 @@
          libtotem-plparser18 (= ${binary:Version}),
          libarchive-dev,
          libglib2.0-dev,
-         libquvi-0.9-dev,
          libxml2-dev,
          ${misc:Depends}
 Description: Totem Playlist Parser library - development files
@@ -67,6 +67,19 @@
  .
  This package contains the shared library.
 
+Package: libtotem-plparser-videosite
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: libtotem-plparser18 (<< 3.10.6-4ubuntu1~)
+Replaces: libtotem-plparser18 (<< 3.10.6-4ubuntu1~)
+Description: Totem Playlist Parser library - videosite helper
+ totem-pl-parser is a simple GObject-based library to parse a host of
+ playlist formats, as well as save those.
+ .
+ This package contains the videosite helper.
+
 Package: gir1.2-totemplparser-1.0
 Section: introspection
 Architecture: any

## totem-pl-parser 3.26.5

=== meson_options.txt ===
--- 
+++ 
@@ -6,3 +6,5 @@
   description : 'Enable libgcrypt support.')
 option('enable-gtk-doc', type: 'boolean', value: 'false',
   description : 'Generate the API reference (depends on GTK-Doc)')
+option('introspection', type: 'boolean', value: 'true',
+  description : 'Generate GObject Introspection bindings')

=== debian/changelog ===
totem-pl-parser (3.26.5-5) unstable; urgency=medium

  * d/p/0001-Avoid-fsync-that-causes-totem-hangs-stutter.patch: Fix a typo.
    It was causing the local error not being set and thus a crash on
    propagation.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 16 Sep 2020 14:30:53 +0200

totem-pl-parser (3.26.5-4) unstable; urgency=medium

  * debian/rules: Use dbus-run-session as meson wrapper script.
    It needs XDG_RUNTIME_DIR and HOME and these are set by auto-test only
    at the point of launching meson, so let's use it as a wrapper
  * tests: Disable tests requiring internet connection.
    Various tests require HTTP Gvfs backend to get proper GFile support on
    URIs parsing, however some other do actual tests on remote resources.
    This is not something reliable and depends on things we don't control,
    so let's just disable them.
  * d/p/tests-Disable-tests-requiring-internet-connection.patch: Add tags
  * debian/patches: Move debian-only patches under the debian topic

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Sep 2020 13:42:12 +0200

totem-pl-parser (3.26.5-3) unstable; urgency=medium

  * debian/patches:
    - Ignore file-not-found errors on deletion.
      If we try to replace a file that has not been created yet, ignore the
      file-not-found error on the previous delete, while propagate others.
    - Disable tests requiring system DBus
  * debian/control: Add gvfs backends and dbus to run tests.
    Tests require GVfs daemon, that are dbus-activated so we need to run
    tests via dbus-run-session and install the gvfs-backends so that http is
    available. Mime infos are also needed to check the type of an URI.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Sep 2020 01:39:49 +0200

totem-pl-parser (3.26.5-2) unstable; urgency=medium

  * d/p/0001-Avoid-fsync-that-causes-totem-hangs-stutter.patch:
    - Refresh to include the cancellable parameter and return error on issues.
    - Add patch tags.
  * debian/control: Depend on debhelper-compat 13 and remove uneeded elements
  * debian/rules: Don't ignore test errors.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 14 Sep 2020 15:41:17 +0200

totem-pl-parser (3.26.5-1) unstable; urgency=medium

  * New upstream release, updated symbols
  * debian/control.in:
    - updated libglib requirement
  * debian/gbp.conf:
    - update the configuration to currently used team options

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Mar 2020 17:10:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,24 @@
 Source: totem-pl-parser
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 11.1.3),
+Build-Depends: debhelper-compat (= 13),
+               dbus <!nocheck>,
                gnome-pkg-tools,
                gobject-introspection (>= 0.9.12-4~),
+               gvfs-backends <!nocheck>,
                gtk-doc-tools (>= 1.11),
                libarchive-dev (>= 3.0),
                libgcrypt20-dev,
                libgirepository1.0-dev (>= 0.10.7-1~),
-               libglib2.0-dev (>= 2.36.0),
+               libglib2.0-dev (>= 2.56.0),
                libglib2.0-doc,
                libquvi-0.9-dev,
                libxml-parser-perl,
                libxml2-dev,
-               meson (>= 0.40.1)
+               meson (>= 0.40.1),
+               shared-mime-info <!nocheck>
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/totem-pl-parser
 Vcs-Git: https://salsa.debian.org/gnome-team/totem-pl-parser.git
@@ -33,6 +35,7 @@
          libtotem-plparser18 (= ${binary:Version}),
          libarchive-dev,
          libglib2.0-dev,
+         libquvi-0.9-dev,
          libxml2-dev,
          ${misc:Depends}
 Description: Totem Playlist Parser library - development files
@@ -67,19 +70,6 @@
  .
  This package contains the shared library.
 
-Package: libtotem-plparser-videosite
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: libtotem-plparser18 (<< 3.10.6-4ubuntu1~)
-Replaces: libtotem-plparser18 (<< 3.10.6-4ubuntu1~)
-Description: Totem Playlist Parser library - videosite helper
- totem-pl-parser is a simple GObject-based library to parse a host of
- playlist formats, as well as save those.
- .
- This package contains the videosite helper.
-
 Package: gir1.2-totemplparser-1.0
 Section: introspection
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

libtotem-plparserN := $(shell sed -rn 's/^Package:[[:space:]]*(libtotem-plparser[0-9]+)[[:space:]]*$$/\1/p' debian/control)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome,gir

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/$(libtotem-plparserN) \
		-Denable-gtk-doc=true \
		-Denable-libarchive=yes \
		-Denable-libgcrypt=yes \
		-Denable-quvi=yes

override_dh_makeshlibs:
	dh_makeshlibs -p $(libtotem-plparserN) -V -- -c4
	dh_makeshlibs --remaining-packages

override_dh_strip:
	dh_strip --dbgsym-migration="libtotem-plparser-dbg (<< 3.10.6-5~)"

override_dh_auto_test:
	dh_auto_test -- --wrapper dbus-run-session -v --print-errorlogs

## totem-pl-parser 3.26.6

=== debian/changelog ===
totem-pl-parser (3.26.6-3) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Add missing gir1.2-*-dev B-D as reported by dh_girepository
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/control: Add ${gir:Depends} to -dev package
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/libtotem-plparser18.symbols: Set Build-Depends-Package for both
    libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Oct 2025 11:06:52 -0400

totem-pl-parser (3.26.6-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Jeremy Bícha ]
  * Add debian/upstream/metadata
  * Add Provides: ${gir:Provides} to -dev package
  * Stop using debian/control.in and dh_gnome_clean
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Dec 2024 16:18:32 -0500

totem-pl-parser (3.26.6-1) unstable; urgency=medium

  * New upstream release
  * Don't depend on libquvi: the video helper feature has been removed
  * debian/docs: README -> README.md
  * Build-Depend on dh-sequence-gir & dh-sequence-gnome
  * debian/rules: Stop managing shlib versions by hand
  * debian/rules: Clean up a bit
  * Refresh patches

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 09:53:18 -0400

=== debian/control ===
Source: totem-pl-parser
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               dbus <!nocheck>,
               gir1.2-gio-2.0-dev,
               gir1.2-gobject-2.0-dev,
               gobject-introspection (>= 1.80),
               gtk-doc-tools,
               gvfs-backends <!nocheck>,
               libarchive-dev,
               libgcrypt20-dev,
               libglib2.0-dev,
               libglib2.0-doc,
               libxml-parser-perl,
               libxml2-dev,
               meson,
               shared-mime-info <!nocheck>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/totem-pl-parser
Vcs-Git: https://salsa.debian.org/gnome-team/totem-pl-parser.git

Package: libtotem-plparser-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-totemplparser-1.0 (= ${binary:Version}),
         libarchive-dev,
         libglib2.0-dev,
         libtotem-plparser18 (= ${binary:Version}),
         libxml2-dev,
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: Totem Playlist Parser library - development files
 totem-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 This package contains the development headers and documentation.

Package: libtotem-plparser-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libtotem-plparser17
Replaces: libtotem-plparser17
Description: Totem Playlist Parser library - common files
 totem-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 This package contains the translation files.

Package: libtotem-plparser18
Architecture: any
Multi-Arch: same
Depends: libtotem-plparser-common,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Totem Playlist Parser library - runtime files
 totem-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 This package contains the shared library.

Package: gir1.2-totemplparser-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gir1.2-totem-plparser-1.0
Replaces: gir1.2-totem-plparser-1.0
Conflicts: gir1.2-totem-plparser-1.0
Description: GObject introspection data for the Totem Playlist Parser library
 This package contains introspection data for the Totem Playlist Parser
 library.
 .
 totem-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/$(libtotem-plparserN) \
		-Denable-gtk-doc=true \
		-Denable-libarchive=yes \
		-Denable-libgcrypt=yes

override_dh_auto_test:
	dh_auto_test -- --wrapper dbus-run-session -v --print-errorlogs

override_dh_gnome_clean:
